aboutsummaryrefslogtreecommitdiff
path: root/libraries/qt5/qt5.SlackBuild
diff options
context:
space:
mode:
authorLarry Hajali <larryhaja[at]gmail[dot]com>2014-07-06 23:53:21 -0500
committerRobby Workman <rworkman@slackbuilds.org>2014-07-07 00:01:00 -0500
commitfad5f7925173a03d0ea1925152699c42736c934d (patch)
treea067964fe5082f3a98a48fdb1ecb4bac9fc98c10 /libraries/qt5/qt5.SlackBuild
parent108694748fda14a1b308dead9c57f5a943819ffa (diff)
libraries/qt5: Updated for version 5.3.1.
Signed-off-by: Robby Workman <rworkman@slackbuilds.org>
Diffstat (limited to 'libraries/qt5/qt5.SlackBuild')
-rw-r--r--libraries/qt5/qt5.SlackBuild13
1 files changed, 5 insertions, 8 deletions
diff --git a/libraries/qt5/qt5.SlackBuild b/libraries/qt5/qt5.SlackBuild
index 1449b0bf5d4b..2bdc5044248a 100644
--- a/libraries/qt5/qt5.SlackBuild
+++ b/libraries/qt5/qt5.SlackBuild
@@ -2,7 +2,7 @@
# Slackware build script for qt5
-# Copyright 2013 Larry Hajali <larryhaja[at]gmail[dot]com>
+# Copyright 2013-2014 Larry Hajali <larryhaja[at]gmail[dot]com>
# Copyright 2006, 2007, 2008, 2009, 2010, 2011, 2012, 2013 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
@@ -46,7 +46,7 @@
# tailored to Qt 5. Modified by Larry Hajali.
PRGNAM=qt5
-VERSION=${VERSION:-5.3.0}
+VERSION=${VERSION:-5.3.1}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -105,9 +105,6 @@ patch -p1 < $CWD/patches/qt5.mysql.h.diff
# https://bugs.webkit.org/show_bug.cgi?id=117077
patch -p1 < $CWD/patches/platformplugin-install-path-fix.patch
-# Fix QTBUG-39047. https://bugreports.qt-project.org/browse/QTBUG-39047
-patch -p1 -d qtdeclarative < $CWD/patches/QTBUG-39047.patch
-
# Limit -reduce-relocations to ix86 and x86_64.
# https://bugreports.qt-project.org/browse/QTBUG-36129
if echo $ARCH | grep -q '\(i.86\|x86_64\)' 2>/dev/null; then
@@ -156,6 +153,9 @@ export OPENSOURCE_CXXFLAGS="$SLKCFLAGS"
make
make install INSTALL_ROOT=$PKG
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
ln -s $PRGNAM $PKG/usr/lib${LIBDIRSUFFIX}/qt-$VERSION
mkdir -p $PKG/usr/bin
@@ -184,9 +184,6 @@ sed -e "s|@LIBDIRSUFFIX@|${LIBDIRSUFFIX}|g" $CWD/profile.d/$PRGNAM.csh \
> $PKG/etc/profile.d/$PRGNAM.csh
chmod 0755 $PKG/etc/profile.d/*
-find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
- | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
-
cat > $PKG/usr/lib${LIBDIRSUFFIX}/$PRGNAM/lib/pkgconfig/Qt5.pc << EOF
prefix=/usr/lib${LIBDIRSUFFIX}/$PRGNAM
bindir=\${prefix}/bin